
version: 2

models:
    - name: dim_competitions
      description: "Dimension des compétitions"
      columns:
          - name: comp_id
            description: "primary key"
            tests:
                - unique
                - not_null
          - name: area_id
            description: "id of the area"
            tests:
              - relationships:
                  to: ref('dim_areas')
                  field: area_id
          - name: current_season_id
            description: "current season id"
            tests:
              - relationships:
                  to: ref('dim_seasons')
                  field: season_id
          - name: comp_name
            description: "name of the competition"
            tests:
                - not_null
          - name: comp_emblem_url
            description: "image of the competition"
          - name: comp_plan
            description: "plan of the competition"
          - name: comp_code
            description: "code of the competition"
          - name: created_at
            description: "Date d'insertion de la ligne"

    - name: dim_areas
      description: "Dimension des areas"
      columns:
        - name: area_id
          description: "primary key"
          tests:
              - unique
              - not_null
        - name: area_name
          description: "Name of the area"
        - name: area_country_code
          description: "Code of the country"
        - name: area_ensign_url
          description: "Url of the ensign"
        - name: created_at
          description: "Date d'insertion de la ligne"

    - name: dim_seasons
      description: "Saisons"
      columns:
          - name: season_id
            description: "primary key"
            tests:
              - unique
              - not_null
          - name: season_start_date
            description: "Start date of the season"
          - name: season_end_date
            description: "End date of the season"
          - name: season_current_matchday
            description: "Current matchday of the season"
